Theme.AppCompat.Light.DarkActionBar – No se encontraron recursos

Cómo utilizar correctamente la Biblioteca de soporte de Android porque tengo este error en mi archivo de manifiesto:

android:theme="@style/Theme.AppCompat.Light.DarkActionBar" error: Error: No resource found that matches the given name (at 'theme' with value '@style/Theme.AppCompat.Light.DarkActionBar'). AndroidManifest.xml /ttab line 39 Android AAPT Problem 

Mi amigo hizo esto implementando para mí previamente en otra computadora, ahora tengo que hacer esto solo. Por favor, ayúdame:)

Estoy usando ADT

Mi styles.xml:

                 

En el proyecto “android-support-v7-appcompat”:

  • Eliminar “android-support-v7-appcompat” de Package explorer.
  • Importe nuevamente y marque “Copiar al espacio de trabajo”
  • En Propiedades -> Android -> en el objective de comstackción del proyecto, desmarque Android 2.2 y compruebe Android 4.1.2
  • En la ruta de comstackción de Java, desmarque si tiene cualquier biblioteca .jar y desmarque las Dependencias

Por otro lado, el proyecto que usa “android-support-v7-appcompat”:

  • En Propiedades -> Android, agregue la biblioteca, pero desmarque “IsLibrary”.
  • En Android -> Project build tarjet compruebe Android 4.0.
  • En “Ruta de comstackción Java” -> Ordenar y exportar -> Desmarcar la biblioteca .jar
  • Finalmente haga un “Proyecto -> Limpiar” ambos proyectos

Si está utilizando Gradle, entonces tiene un problema con la última versión de la biblioteca de compatibilidad.

Si tiene lo siguiente en su archivo build.gradle con un '+' al final:

 dependencies { compile 'com.android.support:appcompat-v7:+' } 

entonces puede estar tomando una versión posterior de la biblioteca de la que desea.

Cambiar la dependencia a:

 dependencies { compile 'com.android.support:appcompat-v7:18.0+' } 

puede arreglar tu problema

¿Podrías intentarlo?

 android:theme="Theme.AppCompat.Light.DarkActionBar" 

en lugar de

 android:theme="@style/Theme.AppCompat.Light.DarkActionBar" 

En el archivo de dependencias de tu aplicación, comprueba si tienes la dependencia

 compile 'com.android.support:appcompatv[anything here] 

o

 implement 'com.android.support:appcompat[anything here] 

eliminar o comentarlos, haga clic en “bombilla” para sugerencias automáticas y elija agregar una dependencia de la biblioteca. haciendo clic en el autoenfoque para appcompat

Desplácese por las opciones de la primera versión de appcompat. La biblioteca se agregará debajo de la lista de dependencias. Reconstruya la aplicación o invalide las cachés y reinicie

En un caso, esto no funcionó e ir a la carpeta que contiene el proyecto, eliminar el archivo .gradle y reiniciar Android Studio ha funcionado. Obtuve de la respuesta de Sneh Pandya en https://reformatcode.com/code/android/error-while-gradle-sync